New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

when hosting with relay host it requires to download "Spring *" #3

Open
TurBoss opened this Issue Jan 30, 2019 · 6 comments

Comments

Projects
None yet
2 participants
@TurBoss
Copy link

TurBoss commented Jan 30, 2019

imagen

@TurBoss

This comment has been minimized.

Copy link
Author

TurBoss commented Jan 30, 2019

@abma

This comment has been minimized.

Copy link
Member

abma commented Jan 30, 2019

very likely was introduced by removing the default engine version in uberserver

@abma

This comment has been minimized.

Copy link
Member

abma commented Jan 30, 2019

ugh, this is more complicate than i thought:

'*' very likely is sent from springlobby, so:

  1. springlobby needs to send the version it sets when hosting with relayhost
  2. relayhost needs to support multiple versions / autodownload missing versions
@abma

This comment has been minimized.

abma added a commit to springlobby/springlobby that referenced this issue Jan 30, 2019

@abma

This comment has been minimized.

Copy link
Member

abma commented Jan 30, 2019

springlobby change is done, now the relayhost needs to be updated :-|

@abma

This comment has been minimized.

Copy link
Member

abma commented Jan 30, 2019

IMHO relayhost should self-check if he has a botflag: if not: deny hosting

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment